#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
SàT website: Salut à Toi's presentation website
Copyright (C) 2012  Jérôme Poisson (goffi@goffi.org)

This file is part of SàT website.

SàT website is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
"""
from collections import namedtuple

ImageDesc = namedtuple("ImageDesc","path description")
VideoDesc = namedtuple("VideoDesc","path description poster")

#list the pictures

screenshots = [
    ImageDesc("images/screenshots/libervia/libervia_login.png", "Libervia's login page"),
    ImageDesc("images/screenshots/libervia/libervia_discussions.png", "Libervia's main view"),
    ImageDesc("images/screenshots/primitivus/primitivus_tarot.png", "Primitivus showing a french Tarot play"),
    ImageDesc("images/screenshots/jp/jp.png", "cowsay sent in conversation through jp"),
    ImageDesc("images/screenshots/wix/wix_tarot.png", "Wix showing a french Tarot play"),
    ]

screencasts = [
    VideoDesc("videos/screencasts/présentation_SàT.webm", "The first video show wix, primitivus and jp", "videos/screencasts/posters/présentation_SàT.jpg"),
    VideoDesc("videos/screencasts/présentation_SàT_2.webm", "This video show french Tarot game, and how to use Thunderbird with SàT", "videos/screencasts/posters/présentation_SàT_2.jpg"),
    VideoDesc("videos/screencasts/présentation_SàT_3.webm", "This video focuses on Libervia. The UI is really outdated, but we can see some features",  "videos/screencasts/posters/présentation_SàT_3.jpg"),
    VideoDesc("videos/screencasts/présentation_SàT_4_copie_et_pipe.webm", "How to copy and pipe streams over XMPP", "videos/screencasts/posters/présentation_SàT_4.jpg"),
    VideoDesc("videos/screencasts/présentation_SàT_5_radio_collective.webm", "Demo of the new Libervia UI, and of the collective radio feature", "videos/screencasts/posters/radiocol.jpg"),
    ]






